<template>
    <div class="filemanage">
        <div class="filemanage-sidebar">
            <ReSidebar
            :side-bar-list="sideList"
            @click="handleSideClick"
            :active-index="activeIndex"
            />
        </div>
      <img v-if="filemanageNo === 1" src="../../assets/images/pageFour/filemanage1.webp" alt="">
      <img v-if="filemanageNo === 2" src="../../assets/images/pageFour/filemanage2.webp" alt="">
      <img v-if="filemanageNo === 3" src="../../assets/images/pageFour/filemanage3.webp" alt="">
      <img v-if="filemanageNo === 4" src="../../assets/images/pageFour/filemanage4.webp" alt="">
      <img v-if="filemanageNo === 5" src="../../assets/images/pageFour/filemanage5.webp" alt="">
    </div>
  </template>
  
  <script>
  import ReSidebar from "@/components/ReSidebar.vue";
  export default {
    name: "filemanage",
    components: {
        ReSidebar,
    },
    data() {
      return {
        sideList: [
            {
                name: "最近使用",
                icon: "ic_download1",
            },
            {
                name: "所有文件",
                icon: "ic_oooo",
            },
            {
                name: "音频",
                icon: "ic_download2",
            },
            {
                name: "视频",
                icon: "ic_download3",
            },
            {
                name: "图片",
                icon: "ic_download4",
            },
        ],
        activeIndex: 0,
        filemanageNo: 1
      }
    },
    methods: {
        handleSideClick(item, index) {
            this.activeIndex = index;
            if(item.icon === "ic_download1") {
                this.filemanageNo = 1
            }
            if(item.icon === "ic_oooo") {
                this.filemanageNo = 2
            }
            if(item.icon === "ic_download2") {
                this.filemanageNo = 3
            }
            if(item.icon === "ic_download3") {
                this.filemanageNo = 4
            }
            if(item.icon === "ic_download4") {
                this.filemanageNo = 5
            }
        },
    }
  };
  </script>
  
  <style scoped lang="scss">
  .filemanage {
    width: 100%;
    height: 100%;
    padding-top: 46px;
    background: #f0f3f7;
    box-sizing: border-box;
    padding-bottom: 86px;
    box-sizing: border-box;
    display: flex;
    justify-content: space-between;
    align-items: center;
    .filemanage-sidebar{
        width: 229px;
    }
    img {
        pointer-events: none;
        width: calc(100% - 249px);
        height: 100%;
        object-fit: cover;
    }
  }
  </style>